Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

parentId
string
required

ID of the parent stream

Query Parameters

record

Flag indicating if the response should only include recorded sessions

Example:

true

Response

Success

name
string
required
Example:

"test_session"

id
string
read-only
Example:

"de7818e7-610a-4057-8f6f-b785dc1e6f88"

kind
string
deprecated
Example:

"stream"

userId
string
deprecated
read-only
Example:

"66E2161C-7670-4D05-B71D-DA2D6979556F"

lastSeen
number
Example:

1587667174725

sourceSegments
number
Example:

1

transcodedSegments
number
Example:

2

sourceSegmentsDuration
number

Duration of all the source segments, sec

Example:

1

transcodedSegmentsDuration
number

Duration of all the transcoded segments, sec

Example:

2

sourceBytes
number
Example:

1

transcodedBytes
number
Example:

2

ingestRate
number

Rate at which sourceBytes increases (bytes/second)

Example:

1

outgoingRate
number

Rate at which transcodedBytes increases (bytes/second)

Example:

2

isHealthy
any
issues
any
createdAt
number
read-only

Timestamp (in milliseconds) at which stream object was created

Example:

1587667174725

parentId
string

Points to parent stream object

Example:

"de7818e7-610a-4057-8f6f-b785dc1e6f88"

projectId
string

The ID of the project

Example:

"aac12556-4d65-4d34-9fb6-d1f0985eb0a9"

record
boolean

Whether the stream should be recorded. Uses default settings. For more customization, create and configure an object store.

Example:

false

recordingStatus
enum<string>
read-only

The status of the recording process of this stream session.

Available options:
waiting,
ready,
failed,
deleted,
none
recordingUrl
string
read-only

URL for accessing the recording of this stream session.

mp4Url
string
read-only

The URL for the stream session recording packaged in an MP4.

playbackId
string

The playback ID to use with the Playback Info endpoint to retrieve playback URLs.

Example:

"eaw4nk06ts2d0mzb"

profiles
any
recordingSpec
any
Last modified on March 18, 2026